// Emacs: -*- C++ -*-

//
//	Copyright 1993, Center for Computer Vision and Visualization,
//	University of Florida.  All rights reserved.
//


// 
// $Log: with-ia-pointset-P.h,v $
// Revision 1.4  1993/05/26  16:51:51  thoth
// Copyright Notices
//
// Revision 1.3  93/04/29  12:53:03  thoth
// Mondo PointSets are now templatized.
// 
// Revision 1.2  93/02/12  16:28:08  thoth
// more IA_ prefixes.
// 
// Revision 1.1  93/01/12  14:42:24  thoth
// Initial revision
// 
//

#ifndef	with_ia_pointset_P_h_
#define	with_ia_pointset_P_h_

#include "with-ia-pointset.h"

#define blah(s) class IA_ ## s; typedef IA_ ## s s

blah(YoderIPS);
blah(BoxyIPS);
blah(HashTable);
blah(BaseIPSIter);
blah(BoxyIPSIter);
blah(YoderIPSIter);

#undef blah

#endif
